MTP not working after update

Bug #1602504 reported by las personas on 2016-07-13
24
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Files
In Progress
Medium
Jeremy Wootten

Bug Description

MTP not working after update
File manager can't mount folder

ProblemType: Bug
DistroRelease: elementary 0.4
Package: elementary-desktop 1.413+468~daily~ubuntu0.4.1 [origin: LP-PPA-elementary-os-daily]
ProcVersionSignature: Ubuntu 4.4.0-28.47-generic 4.4.13
Uname: Linux 4.4.0-28-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
CrashDB: elementary_meta
CurrentDesktop: Pantheon
Date: Wed Jul 13 11:30:37 2016
InstallationDate: Installed on 2016-07-11 (1 days ago)
InstallationMedia: elementary OS 0.4 "Loki" - Daily amd64 (20160613)
SourcePackage: elementary-meta
SuspiciousXErrors:

ThirdParty: True
UpgradeStatus: No upgrade log present (probably fresh install)

las personas (las-personas) wrote :
David Heidelberg (okias) wrote :

I think it's not issue regarding mount (on my Loki, it's mounted), but seems like Pantheon is unable "parse" path to device.

How to reproduce:
1. connect tablet
2. it shows up in Pantheon left list of "Devices"
3. click on it, you get "Unable to mount folder", device change status to mounted
4. go to ls /run/user/1000/gvfs/mtp\:host\=%5Busb%3A001%2C009%5D/Tablet/ # replace mtp\:.... with your device
5. browse content

So it look to me like parsing problem.

David Heidelberg (okias) wrote :

$ pantheon-files
[INFO 23:15:39.816389] Application.vala:155: Files version: 0.3.0.1
[INFO 23:15:39.816447] Application.vala:157: Kernel version: 4.7.0-040700-generic
[INFO 23:15:39.878054] Application.vala:83: Report any issues/bugs you might find to http://bugs.launchpad.net/pantheon-files
[WARNING 23:15:40.327985] Sidebar.vala:852: Attempt to add tooltip for mtp://[usb:001,050]/ failed - invalid rowref
[WARNING 23:15:40.333396] Sidebar.vala:852: Attempt to add tooltip for file:/// failed - invalid rowref
[WARNING 23:15:40.333542] Sidebar.vala:852: Attempt to add tooltip for mtp://[usb:001,050]/ failed - invalid rowref
[FATAL 23:15:40.343623] [GLib-GIO] g_file_info_has_attribute: assertion 'G_IS_FILE_INFO (info)' failed
[WARNING 23:15:40.402961] Sidebar.vala:852: Attempt to add tooltip for mtp://[usb:001,050]/ failed - invalid rowref
[WARNING 23:15:40.403120] Sidebar.vala:852: Attempt to add tooltip for mtp://[usb:001,050]/ failed - invalid rowref

David Heidelberg (okias) wrote :

Oh, my mistake. It works with my phone after switching to MTP device mode.

But it didn't work with tablet. Maybe has been fixed meanwhile?

Zisu Andrei (matzipan) wrote :

I cannot seem to be able to browse the files on my Nexus 7 running Marshmallow with daily Files.

If I click on the entry in the sidebar, it does the following:

[WARNING 15:20:45.279094] Sidebar.vala:852: Attempt to add tooltip for file:/// failed - invalid rowref
[WARNING 15:20:45.288211] Sidebar.vala:852: Attempt to add tooltip for mtp://[usb:002,067]/ failed - invalid rowref
[WARNING 15:20:45.289231] Sidebar.vala:852: Attempt to add tooltip for mtp://[usb:002,067]/ failed - invalid rowref
[WARNING 15:20:45.289564] Sidebar.vala:852: Attempt to add tooltip for mtp://[usb:002,067]/ failed - invalid rowref
[WARNING 15:20:48.975449] Sidebar.vala:852: Attempt to add tooltip for file:/// failed - invalid rowref
[WARNING 15:20:49.032347] Sidebar.vala:852: Attempt to add tooltip for file:/// failed - invalid rowref

The sidebar entry for my tablet briefly disappears only to appear back again, however, the issue still remains.

In Marshmallow, when you connect your device through USB you have to go to the notifications panel and tap the "USB for charging" box and select "Files". Even after I have done this, it still does not work. Worse even, now the "Nexus 7" entry in Files flickers continuously.

Changed in pantheon-files:
status: New → Confirmed
Cody Garver (codygarver) on 2017-02-26
no longer affects: elementaryos
Changed in pantheon-files:
assignee: nobody → Jeremy Wootten (jeremywootten)
importance: Undecided → Medium
milestone: none → juno-beta1
status: Confirmed → In Progress
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers